Data Structures
idle.h File Reference
libpurple

Idle API. More...

`#include <time.h>`

Go to the source code of this file.

## Data Structures
struct | PurpleIdleUiOps
| Idle UI operations. More...

## Functions
Idle API
void | purple_idle_touch (void)
| Touch our idle tracker. More...
void | purple_idle_set (time_t time)
| Fake our idle time by setting the time at which our accounts purportedly became idle. More...
Idle Subsystem
void | purple_idle_set_ui_ops (PurpleIdleUiOps *ops)
| Sets the UI operations structure to be used for idle reporting. More...
PurpleIdleUiOps * | purple_idle_get_ui_ops (void)
| Returns the UI operations structure used for idle reporting. More...
void | purple_idle_init (void)
| Initializes the idle system.
void | purple_idle_uninit (void)
| Uninitializes the idle system.

## Detailed Description

Idle API.

Definition in file idle.h.

## Function Documentation

## ◆ purple_idle_get_ui_ops()

PurpleIdleUiOps* purple_idle_get_ui_ops | ( | void |  | ) |

Returns the UI operations structure used for idle reporting.

Returns
  The UI operations structure in use.

## ◆ purple_idle_set()

void purple_idle_set | ( | time_t | time | ) |

Fake our idle time by setting the time at which our accounts purportedly became idle.

This is used by the I'dle Mak'er plugin.

## ◆ purple_idle_set_ui_ops()

void purple_idle_set_ui_ops | ( | PurpleIdleUiOps * | ops | ) |

Sets the UI operations structure to be used for idle reporting.

Parameters

  ops | The UI operations structure.

## ◆ purple_idle_touch()

void purple_idle_touch | ( | void |  | ) |

Touch our idle tracker.

This signifies that the user is 'active'. The conversation code calls this when the user sends an IM, for example.